## CORBA Interface IDisconnect

The Disconnect interface is used to allow a client to disconnect from a server/session and to later rendezvous with the same server/session to obtain results.

### Definition

CORBA Module SASIOMCommon

### IDisconnect Description

CORBA Definitions
exception iomReconnectNotAllowed |
exception iomReconnectInvalidTimeout |
exception iomReconnectDisabled |
exception iomEnableFailed |
exception iomDisableFailed |
exception iomReplayFailed |
exception iomNoReconnectPortsAvailable |
method EnableDisconnect | This method instructs the server/session to enable the client to disconnect.
method DisableDisconnect | This method instructs the server/session to no longer allow the client to disconnect.
method ReplayEvents | This method instructs the server to replay any events the client may have missed while disconnected.

Java Classes
IDisconnectHelper | Used to manipulate the IDisconnect type
IDisconnectHolder | Used to process the IDisconnect type as an out parameter
iomReconnectNotAllowed |
iomReconnectNotAllowedHelper | Used to manipulate the iomReconnectNotAllowed type
iomReconnectNotAllowedHolder | Used to process the iomReconnectNotAllowed type as an out parameter
iomReconnectInvalidTimeout |
iomReconnectInvalidTimeoutHelper | Used to manipulate the iomReconnectInvalidTimeout type
iomReconnectInvalidTimeoutHolder | Used to process the iomReconnectInvalidTimeout type as an out parameter
iomReconnectDisabled |
iomReconnectDisabledHelper | Used to manipulate the iomReconnectDisabled type
iomReconnectDisabledHolder | Used to process the iomReconnectDisabled type as an out parameter
iomEnableFailed |
iomEnableFailedHelper | Used to manipulate the iomEnableFailed type
iomEnableFailedHolder | Used to process the iomEnableFailed type as an out parameter
iomDisableFailed |
iomDisableFailedHelper | Used to manipulate the iomDisableFailed type
iomDisableFailedHolder | Used to process the iomDisableFailed type as an out parameter
iomReplayFailed |
iomReplayFailedHelper | Used to manipulate the iomReplayFailed type
iomReplayFailedHolder | Used to process the iomReplayFailed type as an out parameter
iomNoReconnectPortsAvailable |
iomNoReconnectPortsAvailableHelper | Used to manipulate the iomNoReconnectPortsAvailable type
iomNoReconnectPortsAvailableHolder | Used to process the iomNoReconnectPortsAvailable type as an out parameter

Java Interfaces
IDisconnect | The Disconnect interface is used to allow a client to disconnect from a server/session and to later rendezvous with the same server/session to obtain results.

Java Interface IDisconnect

The Disconnect interface is used to allow a client to disconnect from a server/session and to later rendezvous with the same server/session to obtain results.

Package com.sas.iom.SASIOMCommon

IDisconnect Description

`public interface IDisconnect
extends org.omg.CORBA.Object`

Method Summary

java.lang.String | EnableDisconnect ( int timeoutInMinutes , boolean captureEvents ) throws ( iomReconnectNotAllowed, iomReconnectInvalidTimeout, iomReconnectDisabled, iomEnableFailed, iomNoReconnectPortsAvailable, GenericError ); This method instructs the server/session to enable the client to disconnect.
void | DisableDisconnect () This method instructs the server/session to no longer allow the client to disconnect.
void | ReplayEvents () This method instructs the server to replay any events the client may have missed while disconnected.

Java Class IDisconnectHelper

public class IDisconnectHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IDisconnect type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnectHelper

Java Class IDisconnectHolder

public class IDisconnectHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IDisconnect type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnectHolder

CORBA Exception iomReconnectNotAllowed

Description

Java Class iomReconnectNotAllowed

public class iomReconnectNotAllowed

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReconnectNotAllowed

Java Class iomReconnectNotAllowedHelper

public class iomReconnectNotAllowedHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the iomReconnectNotAllowed type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReconnectNotAllowedHelper

Java Class iomReconnectNotAllowedHolder

public class iomReconnectNotAllowedHolder

Description
Implementing class for methods (_read, _write, _type) used to process the iomReconnectNotAllowed type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReconnectNotAllowedHolder

CORBA Exception iomReconnectInvalidTimeout

Description

Java Class iomReconnectInvalidTimeout

public class iomReconnectInvalidTimeout

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReconnectInvalidTimeout

Java Class iomReconnectInvalidTimeoutHelper

public class iomReconnectInvalidTimeoutHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the iomReconnectInvalidTimeout type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReconnectInvalidTimeoutHelper

Java Class iomReconnectInvalidTimeoutHolder

public class iomReconnectInvalidTimeoutHolder

Description
Implementing class for methods (_read, _write, _type) used to process the iomReconnectInvalidTimeout type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReconnectInvalidTimeoutHolder

CORBA Exception iomReconnectDisabled

Description

Java Class iomReconnectDisabled

public class iomReconnectDisabled

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReconnectDisabled

Java Class iomReconnectDisabledHelper

public class iomReconnectDisabledHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the iomReconnectDisabled type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReconnectDisabledHelper

Java Class iomReconnectDisabledHolder

public class iomReconnectDisabledHolder

Description
Implementing class for methods (_read, _write, _type) used to process the iomReconnectDisabled type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReconnectDisabledHolder

CORBA Exception iomEnableFailed

Description

Java Class iomEnableFailed

public class iomEnableFailed

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IDisconnect_1_0Package.iomEnableFailed

Java Class iomEnableFailedHelper

public class iomEnableFailedHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the iomEnableFailed type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomEnableFailedHelper

Java Class iomEnableFailedHolder

public class iomEnableFailedHolder

Description
Implementing class for methods (_read, _write, _type) used to process the iomEnableFailed type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomEnableFailedHolder

CORBA Exception iomDisableFailed

Description

Java Class iomDisableFailed

public class iomDisableFailed

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IDisconnect_1_0Package.iomDisableFailed

Java Class iomDisableFailedHelper

public class iomDisableFailedHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the iomDisableFailed type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomDisableFailedHelper

Java Class iomDisableFailedHolder

public class iomDisableFailedHolder

Description
Implementing class for methods (_read, _write, _type) used to process the iomDisableFailed type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomDisableFailedHolder

CORBA Exception iomReplayFailed

Description

Java Class iomReplayFailed

public class iomReplayFailed

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReplayFailed

Java Class iomReplayFailedHelper

public class iomReplayFailedHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the iomReplayFailed type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReplayFailedHelper

Java Class iomReplayFailedHolder

public class iomReplayFailedHolder

Description
Implementing class for methods (_read, _write, _type) used to process the iomReplayFailed type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomReplayFailedHolder

CORBA Exception iomNoReconnectPortsAvailable

Description

Java Class iomNoReconnectPortsAvailable

public class iomNoReconnectPortsAvailable

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.omg.CORBA.UserException
                        |
                        +--com.sas.iom.SAS.IDisconnect_1_0Package.iomNoReconnectPortsAvailable

Java Class iomNoReconnectPortsAvailableHelper

public class iomNoReconnectPortsAvailableHelper

Description
Implementing class for methods (insert, extract, type, id, read, write) used to manipulate the iomNoReconnectPortsAvailable type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomNoReconnectPortsAvailableHelper

Java Class iomNoReconnectPortsAvailableHolder

public class iomNoReconnectPortsAvailableHolder

Description
Implementing class for methods (_read, _write, _type) used to process the iomNoReconnectPortsAvailable type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IDisconnect_1_0Package.iomNoReconnectPortsAvailableHolder

CORBA Method EnableDisconnect

This method instructs the server/session to enable the client to disconnect.

Description

Usage

Java Method EnableDisconnect

`java.lang.String` EnableDisconnect (

        int timeoutInMinutes ,
        boolean captureEvents
        )
        throws (
                iomReconnectNotAllowed,
                iomReconnectInvalidTimeout,
                iomReconnectDisabled,
                iomEnableFailed,
                iomNoReconnectPortsAvailable,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
timeoutInMinutes | in | int |
captureEvents | in | boolean |

Example

CORBA Method DisableDisconnect

This method instructs the server/session to no longer allow the client to disconnect.

Description

Usage

Java Method DisableDisconnect

`void` DisableDisconnect ( )

Example

CORBA Method ReplayEvents

This method instructs the server to replay any events the client may have missed while disconnected.

Description

Usage

Java Method ReplayEvents

`void` ReplayEvents ( )

Example